| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfSPCALL Struct Reference
Subscriber Features

Station Speed Calling. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
char * | OneDigit
| Indicates whether the subscriber has their own list or shares the list from another entity. More...
char * | TwoDigit
| Indicates whether the subscriber has their own list or shares a list from another entity. More...
struct unsp__SPCALLList * | OneSPCALLList
| One-digit station speed calling list. More...
struct unsp__SPCALLList * | TwoSPCALLList
| Two-digit station speed calling list. More...
unsp__SubControl * | SubControlled
| Indicates whether the feature can be activated or deactivated by the subscriber. More...
struct unsp__CfSPCALL_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Station Speed Calling.

The OpenScape Voice system-based Station Speed Calling feature provides the capability to place frequently dialed numbers in a centralized speed calling list. The following are the types of station speed calling:

- One-digit station speed calling
- Two-digit station speed calling

Each of the speed calling lists can be provided to a subscriber as follows:

- A private list is used by one subscriber, who can modify any entry.
- A shared list is owned by one subscriber, but can be used by many subscribers. Only the owner can modify the list entries.

A subscriber can have both a one-digit and a two-digit list. They can both be private, both be shared, or one can be private with the other one shared.
MP2 command: CFSPCALL [Attributes]

## Member Data Documentation

## ◆ Local

struct unsp__CfSPCALL_locPres* unsp__CfSPCALL::Local

Local Presence flags.

## ◆ OneDigit

char* unsp__CfSPCALL::OneDigit

Indicates whether the subscriber has their own list or shares the list from another entity.

This field may also contain the literal BG to indicate that the list is shared from the Business Group. Used only when this feature can be provisioned at the BGL.
required: true
default value[range]: NA [1..15]

## ◆ OneSPCALLList

struct unsp__SPCALLList* unsp__CfSPCALL::OneSPCALLList

One-digit station speed calling list.

required: false

## ◆ SubControlled

unsp__SubControl* unsp__CfSPCALL::SubControlled

Indicates whether the feature can be activated or deactivated by the subscriber.

required: false
default value[range]: false

## ◆ Subscribed

enum unsp__Subscribed unsp__CfSPCALL::Subscribed

Standard Subscribed enumeration.

## ◆ TwoDigit

char* unsp__CfSPCALL::TwoDigit

Indicates whether the subscriber has their own list or shares a list from another entity.

This field can also contain the literal BG to indicate that the list is shared from the BG. Used only when this feature can be provisioned at the BGL.
required: true
default value[range]: NA [1..15]

## ◆ TwoSPCALLList

struct unsp__SPCALLList* unsp__CfSPCALL::TwoSPCALLList

Two-digit station speed calling list.

required: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h